SeExpr

Public Member Functions | Public Attributes | List of all members
AnimCurveEditable Struct Reference

`#include <Editable.h>`

Inheritance diagram for AnimCurveEditable:

## Public Member Functions
| AnimCurveEditable (const std::string &name, int startPos, int endPos)
| ~AnimCurveEditable ()
bool | parseComment (const std::string &comment)
| parses a comment. if false is returned then delete the control from the editable More...
std::string | str () const
void | appendString (std::stringstream &stream) const
virtual bool | controlsMatch (const Editable &other) const
Public Member Functions inherited from Editable
| Editable (const std::string &name, int startPos, int endPos)
void | updatePositions (const Editable &other)
virtual | ~Editable ()

## Public Attributes
std::string | name
int | startPos
int | endPos
std::string | link
std::string | animationSystemCurve
std::string | newText
Public Attributes inherited from Editable
std::string | name
int | startPos
int | endPos

## Detailed Description

Definition at line 211 of file Editable.h.

## Constructor & Destructor Documentation

## ◆ AnimCurveEditable()

AnimCurveEditable::AnimCurveEditable | ( | const std::string & | name,
|  | int | startPos,
|  | int | endPos
| ) |  |
| inline

Definition at line 221 of file Editable.h.

## ◆ ~AnimCurveEditable()

AnimCurveEditable::~AnimCurveEditable | ( |  | ) |
| inline

Definition at line 230 of file Editable.h.

## Member Function Documentation

## ◆ appendString()

void AnimCurveEditable::appendString | ( | std::stringstream & | stream | ) | const
| inline virtual

Implements Editable.

Definition at line 241 of file Editable.h.

References SeExpr2::curve, it, link, newText, and UNUSED.

## ◆ controlsMatch()

virtual bool AnimCurveEditable::controlsMatch | ( | const Editable & | other | ) | const
| inline virtual

Implements Editable.

Definition at line 263 of file Editable.h.

References UNUSED.

## ◆ parseComment()

bool AnimCurveEditable::parseComment | ( | const std::string & | comment | ) |
| inline virtual

parses a comment. if false is returned then delete the control from the editable

Implements Editable.

Definition at line 232 of file Editable.h.

References animationSystemCurve.

## ◆ str()

std::string AnimCurveEditable::str | ( |  | ) | const
| inline virtual

Reimplemented from Editable.

Definition at line 236 of file Editable.h.

References name.

## Member Data Documentation

## ◆ animationSystemCurve

std::string AnimCurveEditable::animationSystemCurve

Definition at line 218 of file Editable.h.

Referenced by parseComment().

## ◆ endPos

int AnimCurveEditable::endPos

Definition at line 213 of file Editable.h.

## ◆ link

std::string AnimCurveEditable::link

Definition at line 217 of file Editable.h.

Referenced by AnimCurveControl::AnimCurveControl(), appendString(), and AnimCurveControl::refreshClicked().

## ◆ name

std::string AnimCurveEditable::name

Definition at line 212 of file Editable.h.

Referenced by str().

## ◆ newText

std::string AnimCurveEditable::newText

Definition at line 219 of file Editable.h.

Referenced by appendString().

## ◆ startPos

int AnimCurveEditable::startPos

Definition at line 213 of file Editable.h.

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/Editable.h